<!DOCTYPE html>
<div class="col-lg-12 animated fadeInRight">
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <h3>
              Payment Statement
            </h3>
            <div class="row" style="margin-top:15px;margin-bottom: 15px;">
              <div class="col-xs-4">
                <input [(ngModel)]="selectedMoment" name="start_date" [max]="max" [min]="min"
                  [owlDateTimeTrigger]="dtPicker1" [owlDateTime]="dtPicker1" placeholder="Start Date"
                  class="form-control">
                <owl-date-time #dtPicker1></owl-date-time>
              </div>
              <div class="col-xs-4">
                <input [(ngModel)]="selectedMoment1" name="end_date" [max]="max" [min]="min"
                  [owlDateTimeTrigger]="dtPicker2" [owlDateTime]="dtPicker2" placeholder="End Date"
                  class="form-control">
                <owl-date-time #dtPicker2></owl-date-time>
              </div>
              <div class="col-xs-4">
                <mat-select [(ngModel)]="companyIdFilter" placeholder="Company" (change)="changeCompany()"
                  class="form-control" *ngIf="dtc">
                  <mat-option *ngFor="let company of companyData" [value]="company._id">
                    {{company.company_name}}
                  </mat-option>
                </mat-select>
              </div>
              <div class="col-xs-4">
                <button type="get" (click)="searchReco();" class="btn btn-sm btn-primary blue">
                  <i aria-hidden="true" class="fa fa-search"></i>
                  Search
                </button>
                <button class="btn btn-sm red" (click)="reset()">
                  <i aria-hidden="true" class="fa fa-eraser"></i>
                  Reset filters
                </button>
              </div>
            </div>
            <span *ngIf="!showLoader">
              <img src="assets/img/loader.gif"
                style=" height: 130px; position: absolute; margin: auto; z-index: 999999; left: 35%; top: 100px;" alt="loader"/>
            </span>
            <div class="row">
              <div class="col-xs-4" style="border: 1px solid white;">
                <div class="gallery-box">
                  <p class="stat_text">Total Trips
                    <div class="top-padding">
                      <span class="stat_count">{{trip_total}}</span><br />
                    </div>
                </div>
              </div>
              <div class="col-xs-4">
                <div class="gallery-box">
                  <p class="stat_text">Total Revenue
                    <div class="top-padding">
                      <span class="stat_count">{{revenue_total}}</span><br />
                    </div>
                </div>
              </div>
            </div>
            <div class="row" *ngIf="jobexists">
              <div class="ibox-content">
                <h3>
                  Payment Cycles
                </h3>
                <div class="table-responsive" style="margin-top: 15px;">
                  <table aria-describedby=" Payment Statement" class="table table-striped table-bordered table-responsive zoom" id="orders_table">
                    <thead>
                      <tr>
                        <th scope="col">Job number</th>
                        <th scope="col">Job Period</th>
                        <th scope="col">Export</th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr *ngFor="let jdata of jobData;let i = index">
                        <td (click)="getDetailedList(jdata)">
                          <strong>{{jdata.job_id}}</strong>
                        </td>
                        <td (click)="getDetailedList(jdata)">
                          <strong> From </strong>{{jdata.report_start_date}} <strong> To </strong> {{jdata.report_end_date}}
                        </td>
                        <td>
                          <span matTooltip="CSV" style="cursor:pointer">
                            <img src="assets/img/csv.png" (click)="getconstantsforcsv(jdata)" alt="createCsv" />
                          </span>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
            <div class="row" *ngIf="detailed_list_selected">
              <div class="ibox-content" *ngIf="detailed_list.length>0">
                <h3>
                  Driver Earnings - JOB ID : {{selected_job.job_id}}
                </h3>
                <div class="table-responsive" style="margin-top: 15px;">
                  <table aria-describedby=" Payment Statement 1" class="table table-responsive zoom" id="orders_table">
                    <thead>
                      <tr>
                        <th scope="col">Driver ID</th>
                        <th scope="col">Driver Name</th>
                        <th scope="col">Fare</th>
                        <th scope="col">Wait time</th>
                        <th scope="col">Cancellation</th>
                        <th scope="col">Surge</th>
                        <th scope="col">Toll</th>
                        <th scope="col">Sharjah Toll</th>
                        <th scope="col">Driver Revenue</th>
                        <th scope="col">DTC fee</th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr *ngFor="let data of detailed_list;let i = index">
                        <td>
                          {{data.driver_details.emp_id}}
                        </td>
                        <td>
                          {{data.driver_details.surname}} {{data.driver_details.firstname}}
                        </td>
                        <td>
                          {{data.total_trip_amount | number : '1.2-2'}}
                        </td>
                        <td>
                          {{data.total_wait_time | number : '1.2-2'}}
                        </td>
                        <td>
                          {{data.total_cancellation | number : '1.2-2'}}
                        </td>
                        <td>
                          {{data.total_surge | number : '1.2-2'}}
                        </td>
                        <td>
                          {{data.total_salik | number : '1.2-2'}}
                        </td>
                        <td>
                          {{data.total_sharjah | number : '1.2-2'}}
                        </td>
                        <td>
                          {{data.total_revenue | number : '1.2-2'}}
                        </td>
                        <td>
                          {{data.total_fee_with_without_rta | number : '1.2-2'}}
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
                <div class="container-fluid" *ngIf="detailed_list_len>0">
                  <div class="row col-md-12 text-center">
                    <div class="dataTables_info1">
                      <div>
                        <ngb-pagination [collectionSize]="detailed_list_len" (pageChange)="pagingAgent($event)"
                          [(page)]="pNo" [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5"
                          [boundaryLinks]="true">
                        </ngb-pagination>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="container-fluid" *ngIf="detailed_list_len==0">
                  <div class="row">
                    <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                      No records found
                    </div>
                  </div>
                </div>
              </div>
              <div class="ibox-content" *ngIf="detailed_list.length==0">
                <p>No data show</p>
              </div>
            </div>
            <div class="row" *ngIf="!jobexists">
              <div class="ibox-content">
                <p>Nothing to show</p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>